Skip to content
Snippets Groups Projects
Commit 5dc5899f authored by Jorge Canizales's avatar Jorge Canizales
Browse files

Filter xcodebuild output, fix return code, and leave make to the podspec

parent bed5c3cc
No related branches found
No related tags found
No related merge requests found
...@@ -28,16 +28,23 @@ ...@@ -28,16 +28,23 @@
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE # (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. # OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
pushd `dirname $0`/../../.. # Return to current directory on error.
# TODO(jcanizales): Make only objective-c plugin. trap 'cd - > /dev/null; exit 1' ERR
make plugins
cd src/objective-c/tests cd $(dirname $0)
# TODO(jcanizales): Remove when Cocoapods issue #3823 is resolved. # TODO(jcanizales): Remove when Cocoapods issue #3823 is resolved.
export COCOAPODS_DISABLE_DETERMINISTIC_UUIDS=YES export COCOAPODS_DISABLE_DETERMINISTIC_UUIDS=YES
pod install pod install
xcodebuild -workspace Tests.xcworkspace -scheme AllTests test # xcodebuild is very verbose. We filter its output and tell Bash to fail if any
# element of the pipe fails.
set -o pipefail
XCODEBUILD_FILTER='^(/.+:[0-9+:[0-9]+:.(error|warning):|fatal|===|\*\*)'
xcodebuild \
-workspace Tests.xcworkspace \
-scheme AllTests \
test \
| egrep "$XCODEBUILD_FILTER" -
popd cd - > /dev/null
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment